---
title: "硬盘扩容"
date: 2024-07-10T19:49:00+08:00
lastmod: 2024-07-10T19:49:00+08:00
keywords: []
tags: ["扩容"]
categories: ["storage"]
---

## 裸盘在线扩容
- 环境：/dev/sdb 直接挂载在 /data/ 下
- 直接更新文件系统
    ```
    resize2fs /dev/sdb    # ext4 文件系统，参数是设备
    xfs_growfs /data    # xfs 文件系统，参数是挂载点
    ```

## 分区在线扩容
- 环境：/dev/sdb1 直接挂载在 /data/ 下
- 安装 growpart
    ```
    yum install cloud-utils-growpart    # redhat 系 linux
    apt install cloud-guest-utils    # debian 系 linux
    ```

- 扩容分区
    ```
    growpart /dev/sdb 1
    # 第一个参数是设备，第二参数是分区编号
    ```

- 更新文件系统
    ```
    resize2fs /dev/sdb1    # ext4 文件系统，参数是分区设备
    xfs_growfs /data    # xfs 文件系统，参数是挂载点
    ```

## lvm 逻辑卷在线扩容
- 参考[LV管理](https://www.colben.cn/post/lvm/#lv-%E7%AE%A1%E7%90%86)

